
/* CSS parameters which are available in base theme */


.sapThemeFont {
	font-family: @sapUiFontFamily;
	font-size: @sapUiFontSize;
}
.sapThemeFontFamily {
	font-family: @sapUiFontFamily;
}
.sapThemeFontSize {
	font-size: @sapUiFontSize;
}


.sapThemeText,
.sapThemeText-asColor {
	color: @sapUiText;
}
.sapThemeText-asBackgroundColor {
	background-color: @sapUiText;
}
.sapThemeText-asBorderColor {
	border-color: @sapUiText;
}
.sapThemeText-asOutlineColor {
	outline-color: @sapUiText;
}


.sapThemeTextInverted,
.sapThemeTextInverted-asColor {
	color: @sapUiTextInverted;
}



.sapThemeBaseBG,
.sapThemeBaseBG-asBackgroundColor {
	background-color: @sapUiBaseBG;
}
.sapThemeBaseBG-asBorderColor {
	border-color: @sapUiBaseBG;
}
.sapThemeBaseBG-asColor {
	color: @sapUiBaseBG;
}



.sapThemeBrand-asColor {
	color: @sapUiBrand;
}
.sapThemeBrand-asBorderColor {
	border-color: @sapUiBrand;
}
.sapThemeBrand-asBackgroundColor {
	background-color: @sapUiBrand;
}
.sapThemeBrand-asOutlineColor {
	outline-color: @sapUiBrand;
}


.sapThemeHighlight-asColor {
	color: @sapUiHighlight;
}
.sapThemeHighlight-asBorderColor {
	border-color: @sapUiHighlight;
}
.sapThemeHighlight-asBackgroundColor {
	background-color: @sapUiHighlight;
}
.sapThemeHighlight-asOutlineColor {
	outline-color: @sapUiHighlight;
}
